Npm lockfileVersion 2

Bonjour à tous,
depuis que je suis passé en npm > 6 (actuellement en 8), la commande npm i modifie tous les fichiers package-lock.json en version 2.

Cela semble être retro-compatible, et apparemment, je suis le seul dans cette situation, mais cela risque de changer, et je pense donc qu’il faut mettre ce point sur la table pour savoir si on upgrade npm.

@pierre-gilles @VonOx un avis ?

Ok, my bad… c’est à cause de la tentative de migration nodejs 16…

Salut Alex

Faut que je vois l’impact au niveau des images docker ( v14 npm6)

Il me semble que l’on bride la version npm dans les package.json.

On conseille la version, mais ce n’est pas strict.

Info sur la compatibilité des versions : https://nodejs.org/dist/index.json

1 Like

Ah yes node 16 , je crois qu’il y’a un impact au niveau crypto